RedHat: RHSA-2020-0566:01 Important: python-pillow security update

    Date 20 Feb 2020
    1005
    Posted By LinuxSecurity Advisories
    An update for python-pillow is now available for Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions. Red Hat Product Security has rated this update as having a security impact of Important. A Common Vulnerability Scoring System (CVSS) base score,
    -----BEGIN PGP SIGNED MESSAGE-----
    Hash: SHA256
    
    =====================================================================
                       Red Hat Security Advisory
    
    Synopsis:          Important: python-pillow security update
    Advisory ID:       RHSA-2020:0566-01
    Product:           Red Hat Enterprise Linux
    Advisory URL:      https://access.redhat.com/errata/RHSA-2020:0566
    Issue date:        2020-02-20
    CVE Names:         CVE-2019-16865 CVE-2020-5311 CVE-2020-5312 
    =====================================================================
    
    1. Summary:
    
    An update for python-pillow is now available for Red Hat Enterprise Linux
    8.0 Update Services for SAP Solutions.
    
    Red Hat Product Security has rated this update as having a security impact
    of Important. A Common Vulnerability Scoring System (CVSS) base score,
    which gives a detailed severity rating, is available for each vulnerability
    from the CVE link(s) in the References section.
    
    2. Relevant releases/architectures:
    
    Red Hat Enterprise Linux AppStream E4S (v. 8.0) - aarch64, ppc64le, s390x, x86_64
    
    3. Description:
    
    The python-pillow packages contain a Python image processing library that
    provides extensive file format support, an efficient internal
    representation, and powerful image-processing capabilities.
    
    Security Fix(es):
    
    * python-pillow: out-of-bounds write in expandrow in
    libImaging/SgiRleDecode.c (CVE-2020-5311)
    
    * python-pillow: improperly restricted operations on memory buffer in
    libImaging/PcxDecode.c (CVE-2020-5312)
    
    * python-pillow: reading specially crafted image files leads to allocation
    of large amounts of memory and denial of service (CVE-2019-16865)
    
    For more details about the security issue(s), including the impact, a CVSS
    score, acknowledgments, and other related information, refer to the CVE
    page(s) listed in the References section.
    
    4. Solution:
    
    For details on how to apply this update, which includes the changes
    described in this advisory, refer to:
    
    https://access.redhat.com/articles/11258
    
    5. Bugs fixed (https://bugzilla.redhat.com/):
    
    1774066 - CVE-2019-16865 python-pillow: reading specially crafted image files leads to allocation of large amounts of memory and denial of service
    1789533 - CVE-2020-5312 python-pillow: improperly restricted operations on memory buffer in libImaging/PcxDecode.c
    1789535 - CVE-2020-5311 python-pillow: out-of-bounds write in expandrow in libImaging/SgiRleDecode.c
    
    6. Package List:
    
    Red Hat Enterprise Linux AppStream E4S (v. 8.0):
    
    Source:
    python-pillow-5.1.1-10.el8_0.src.rpm
    
    aarch64:
    python-pillow-debuginfo-5.1.1-10.el8_0.aarch64.rpm
    python-pillow-debugsource-5.1.1-10.el8_0.aarch64.rpm
    python3-pillow-5.1.1-10.el8_0.aarch64.rpm
    python3-pillow-debuginfo-5.1.1-10.el8_0.aarch64.rpm
    python3-pillow-tk-debuginfo-5.1.1-10.el8_0.aarch64.rpm
    
    ppc64le:
    python-pillow-debuginfo-5.1.1-10.el8_0.ppc64le.rpm
    python-pillow-debugsource-5.1.1-10.el8_0.ppc64le.rpm
    python3-pillow-5.1.1-10.el8_0.ppc64le.rpm
    python3-pillow-debuginfo-5.1.1-10.el8_0.ppc64le.rpm
    python3-pillow-tk-debuginfo-5.1.1-10.el8_0.ppc64le.rpm
    
    s390x:
    python-pillow-debuginfo-5.1.1-10.el8_0.s390x.rpm
    python-pillow-debugsource-5.1.1-10.el8_0.s390x.rpm
    python3-pillow-5.1.1-10.el8_0.s390x.rpm
    python3-pillow-debuginfo-5.1.1-10.el8_0.s390x.rpm
    python3-pillow-tk-debuginfo-5.1.1-10.el8_0.s390x.rpm
    
    x86_64:
    python-pillow-debuginfo-5.1.1-10.el8_0.x86_64.rpm
    python-pillow-debugsource-5.1.1-10.el8_0.x86_64.rpm
    python3-pillow-5.1.1-10.el8_0.x86_64.rpm
    python3-pillow-debuginfo-5.1.1-10.el8_0.x86_64.rpm
    python3-pillow-tk-debuginfo-5.1.1-10.el8_0.x86_64.rpm
    
    These packages are GPG signed by Red Hat for security.  Our key and
    details on how to verify the signature are available from
    https://access.redhat.com/security/team/key/
    
    7. References:
    
    https://access.redhat.com/security/cve/CVE-2019-16865
    https://access.redhat.com/security/cve/CVE-2020-5311
    https://access.redhat.com/security/cve/CVE-2020-5312
    https://access.redhat.com/security/updates/classification/#important
    
    8. Contact:
    
    The Red Hat security contact is . More contact
    details at https://access.redhat.com/security/team/contact/
    
    Copyright 2020 Red Hat, Inc.
    -----BEGIN PGP SIGNATURE-----
    Version: GnuPG v1
    
    iQIVAwUBXk8FYtzjgjWX9erEAQhMxQ//TC0/AuWCX6qSLsC+0ebZurb9PqSBP5iG
    NYseHkiwImvuZ7YTxfG43KYKRAtiWxZG7DASIgbErVItDecdt8jM6tct1VND0ubn
    zs5EX1Zc6bytL0+eilFfIyJYBqMqbjBVfgBRvI2/CrIXe2C4+bAVVukNBUpKhPzX
    ayEKApWl0dT7B0XOzrQ8EltaWr5B9+N8/F8Qp4DXKNpYn3fQGgXFhOSamCHskWLk
    v1ucI2EtI0GwAVd5FIe6T36fQHWtaRHqTYKxyq8Kifse2CHlg3A7KFEZmpfO+R+j
    SFAU4/49izV6PJJ5fffdNMVtH1eaN/4TTZsI3dw1JgXuV6BPy/UF87m6Wf0lMZLC
    veY8FsxZdRxllqwrvwAG81jEzKK3GBHS9H/3YSyqVVaBLqgKdX/SZzjDikNvo3EM
    NWSrrlHcTGajo2gEMuXOCECqubdEAz1RVmDByFNwrCA6Fagt0K0ct8UE2gKuORbd
    NANe+XWV62TsyVjPTQ/k+i4sLXXnEBStvmEUG1wtMzb4RswXY1YmZhgwmmD0/wAJ
    ITwHX0p8lDC6UKMkawrE5yRo8hgprdNREtU7b2DQvTQ+ZfDyrPmjLw8YNTcXclSL
    JC8QcwKmWCoMJ5/AawVmGvOJudxocppBiPjMyRPVgZZyB9UxUNC00kihmIEcGeUs
    Qxw8YSjJJBQ=
    =Lxdt
    -----END PGP SIGNATURE-----
    
    --
    RHSA-announce mailing list
    This email address is being protected from spambots. You need JavaScript enabled to view it.
    https://www.redhat.com/mailman/listinfo/rhsa-announce
    

    LinuxSecurity Poll

    Do you feel that the Lawful Access to Encrypted Data Act, which aims to force encryption backdoors, is a threat to US citizens' privacy?

    No answer selected. Please try again.
    Please select either existing option or enter your own, however not both.
    Please select minimum 0 answer(s) and maximum 3 answer(s).
    /main-polls/30-do-you-feel-that-the-lawful-access-to-encrypted-data-act-which-aims-to-force-encryption-backdoors-is-a-threat-to-privacy?task=poll.vote&format=json
    30
    radio
    [{"id":"106","title":"Yes - I am a privacy advocate and I am strongly opposed to this bill.","votes":"21","type":"x","order":"1","pct":95.45,"resources":[]},{"id":"107","title":"I'm undecided - it has its pros and cons.","votes":"1","type":"x","order":"2","pct":4.55,"resources":[]},{"id":"108","title":"No - I support this bill and feel that it will help protect against crime and threats to our national security. ","votes":"0","type":"x","order":"3","pct":0,"resources":[]}] ["#ff5b00","#4ac0f2","#b80028","#eef66c","#60bb22","#b96a9a","#62c2cc"] ["rgba(255,91,0,0.7)","rgba(74,192,242,0.7)","rgba(184,0,40,0.7)","rgba(238,246,108,0.7)","rgba(96,187,34,0.7)","rgba(185,106,154,0.7)","rgba(98,194,204,0.7)"] 350
    bottom 200

    Advisories

    Please enable / Bitte aktiviere JavaScript!
    Veuillez activer / Por favor activa el Javascript![ ? ]

    We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.